API
API
Back to appIntroductionAuthenticationQuickstartCore conceptsUploading callsGetting resultsWebhooksPagination and searchErrorsRate limits and billing
Create a new project POSTGet a single project GETList all projects for the authenticated user GETUpdate project name or description PUT
ReferenceProjects

Create a new project

POST/v1/projects

Authorization

ApiKeyAuth
X-API-Key<token>

Organization API key. Format: X-API-Key: at_live_...

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

*/*

curl -X POST "https://example.com/v1/projects" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",  "name": "string",  "description": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}

Get sentiment distribution and trend GET

Returns sentiment distribution (positive/neutral/negative/unknown) and daily trend. When 'from' and/or 'to' are omitted, no date filtering is applied — all data is returned.

Get a single project GET

Next Page

organizationId?string
Formatuuid
name*string
Length1 <= length
description?string